Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_MEM_Connector Class Reference

Defines the format and interface for the connector side of the . More...

`#include <MEM_Connector.h>`

Inheritance diagram for ACE_MEM_Connector

[legend]
Collaboration diagram for ACE_MEM_Connector:

[legend]
List of all members.

## Public Types
typedef ACE_INET_Addr | PEER_ADDR
typedef ACE_MEM_Stream | PEER_STREAM
## Public Methods
| ACE_MEM_Connector (void)
| Default constructor.
| ACE_MEM_Connector (ACE_MEM_Stream &new_stream, const ACE_INET_Addr &remote_sap, ACE_Time_Value *timeout = 0, const ACE_Addr &local_sap = ACE_Addr::sap_any, int reuse_addr = 0, int flags = 0, int perms = 0, int protocol = 0)
int | connect (ACE_MEM_Stream &new_stream, const ACE_INET_Addr &remote_sap, ACE_Time_Value *timeout = 0, const ACE_Addr &local_sap = ACE_Addr::sap_any, int reuse_addr = 0, int flags = 0, int perms = 0, int protocol = 0)
ACE_MEM_IO::Signal_Strategy | preferred_strategy (void) const
void | preferred_strategy (ACE_MEM_IO::Signal_Strategy strategy)
ACE_MEM_SAP::MALLOC_OPTIONS& | malloc_options (void)
| Accessor to underlying malloc options.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_MEM_Addr | address_
| The acceptor address this connector is connecting to.
ACE_MEM_SAP::MALLOC_OPTIONS | malloc_options_
| A cached MALLOC_OPTIONS that the MEM_Connector used to initialize the shared memory malloc update connection establishment.
ACE_MEM_IO::Signal_Strategy | preferred_strategy_

## Detailed Description

Defines the format and interface for the connector side of the .

## Member Typedef Documentation

typedef ACE_INET_Addr ACE_MEM_Connector::PEER_ADDR

| Reimplemented from ACE_SOCK_Connector.

typedef ACE_MEM_Stream ACE_MEM_Connector::PEER_STREAM

| Reimplemented from ACE_SOCK_Connector.

## Constructor & Destructor Documentation

ACE_MEM_Connector::ACE_MEM_Connector ( | void )

| Default constructor.

ACE_MEM_Connector::ACE_MEM_Connector ( | ACE_MEM_Stream & new_stream,
| const ACE_INET_Addr & remote_sap,
| ACE_Time_Value * timeout = 0,
| const ACE_Addr & local_sap = ACE_Addr::sap_any,
| int reuse_addr = 0,
| int flags = 0,
| int perms = 0,
| int protocol = 0 )

| Actively connect and produce a <new_stream> if things go well. The <remote_sap> is the address that we are trying to connect with. The <timeout> is the amount of time to wait to connect. If it's 0 then we block indefinitely. If *timeout == {0, 0} then the connection is done using non-blocking mode. In this case, if the connection can't be made immediately the value of -1 is returned with <errno == EWOULDBLOCK>. If *timeout > {0, 0} then this is the maximum amount of time to wait before timing out. If the time expires before the connection is made <errno == ETIME>. The <local_sap> is the value of local address to bind to. If it's the default value of <0> then the user is letting the OS do the binding. If <reuse_addr> == 1 then the <local_addr> is reused, even if it hasn't been cleanedup yet.

## Member Function Documentation

int ACE_MEM_Connector::connect ( | ACE_MEM_Stream & new_stream,
| const ACE_INET_Addr & remote_sap,
| ACE_Time_Value * timeout = 0,
| const ACE_Addr & local_sap = ACE_Addr::sap_any,
| int reuse_addr = 0,
| int flags = 0,
| int perms = 0,
| int protocol = 0 )

| Actively connect and produce a <new_stream> if things go well. The <remote_sap> is the address that we are trying to connect with. The <timeout> is the amount of time to wait to connect. If it's 0 then we block indefinitely. If *timeout == {0, 0} then the connection is done using non-blocking mode. In this case, if the connection can't be made immediately the value of -1 is returned with <errno == EWOULDBLOCK>. If *timeout > {0, 0} then this is the maximum amount of time to wait before timing out. If the time expires before the connection is made <errno == ETIME>. The <local_sap> is the value of local address to bind to. If it's the default value of <0> then the user is letting the OS do the binding. If <reuse_addr> == 1 then the <local_addr> is reused, even if it hasn't been cleanedup yet.

void ACE_MEM_Connector::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_SOCK_Connector.

ASYS_INLINE ACE_MEM_SAP::MALLOC_OPTIONS & ACE_MEM_Connector::malloc_options ( | void )

| Accessor to underlying malloc options.

ASYS_INLINE void ACE_MEM_Connector::preferred_strategy ( | ACE_MEM_IO::Signal_Strategy strategy )

ASYS_INLINE ACE_MEM_IO::Signal_Strategy ACE_MEM_Connector::preferred_strategy ( | void ) const

## Member Data Documentation

ACE_MEM_Connector::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SOCK_Connector.

ACE_MEM_Addr ACE_MEM_Connector::address_`[private]`

| The acceptor address this connector is connecting to.

ACE_MEM_SAP::MALLOC_OPTIONS ACE_MEM_Connector::malloc_options_`[private]`

| A cached MALLOC_OPTIONS that the MEM_Connector used to initialize the shared memory malloc update connection establishment.

ACE_MEM_IO::Signal_Strategy ACE_MEM_Connector::preferred_strategy_`[private]`

The documentation for this class was generated from the following files:

- MEM_Connector.h
- MEM_Connector.cpp
- MEM_Connector.i